RunnerUp
========

[![Join the chat at https://gitter.im/jonasoreland/runnerup](https://badges.gitter.im/jonasoreland/runnerup.svg)](https://gitter.im/jonasoreland/runnerup?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Build Status](https://travis-ci.org/jonasoreland/runnerup.svg?branch=master)](https://travis-ci.org/jonasoreland/runnerup)

Track your sport activities with RunnerUp using the GPS in your Android phone.

## Features

* See detailed stats around your pace, distance and time
* Get stats and progress with built-in highly configurable audio cues
* Run free runs with target pace or target heart rate zone
* Easily configure and run effective interval workouts modeled after Garmin
* Automatic upload to various external applications such as Strava, Runalyze and Dropbox. Some also support download and feed updates ([see here for details](https://github.com/jonasoreland/runnerup/wiki/Synchronization-with-external-providers)).
* Share your favorite workouts with friends (using email)
* Heart rate monitor: Bluetooth SMART (BLE) and ANT+ (as well as PolarWearLink and Zephyr)
* Configure and use heart rate zones
* Phone internal sensors like step sensor and barometer.
* WearOS app
* Pebble support

## Release

* [Play Store](https://play.google.com/store/apps/details?id=org.runnerup).
* [GitHub](https://github.com/jonasoreland/runnerup/releases). (RunnerUp 2.x versions including beta and release candidates.)
* [F-Droid](https://f-droid.org/packages/org.runnerup.free/). This version does not contain some features due to licensing, see the F-Droid description.

Join the beta program in Play for release candidates or monitor releases on GitHub.

The current 2.x release support Android 4.0 and later. The Play release also supports Android 2.2, 2.3, but due to lack of test devices, RunnerUp cannot support Android 2.x. The "Froyo" version do not include graphs, maps and elevation GeoId correction.

## User information

Please read the [wiki](https://github.com/jonasoreland/runnerup/wiki), especially the [Manual](https://github.com/jonasoreland/runnerup/wiki/Overview)

## Contributing

Patches, forks, pull requests, suggestions or harsh flame is welcome!
Please read the [wiki](https://github.com/jonasoreland/runnerup/wiki).

## Translations
<a target="_blank" style="text-decoration:none; color:black; font-size:66%" href="https://www.transifex.com/projects/p/runner-up-android"
title="See more information on Transifex.com"><img src="https://ds0k0en9abmn1.cloudfront.net/static/charts/images/tx-logo-micro.646b0065fce6.png" ></a>

Interested in helping to translate RunnerUp? Contribute [on Transifex](https://www.transifex.com/projects/p/runner-up-android).

## License
Unless otherwise stated, the code for this project is under GNU GPL v3. See [LICENSE](LICENSE) for more information.

Components licensed differently are listed on the [CREDITS](CREDITS.md) page.

## Donations
If your already donate to <a href="http://www.unhcr.org">UNHCR</a>, <a href="http://www.unicef.org/">UNICEF</a> and/or other important things, you might donate using paypal <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=runnerup%2eandroid%40gmail%2ecom&lc=US&item_name=RunnerUp&button_subtype=services&currency_code=EUR&tax_rate=25%2e000&bn=PP%2dBuyNowBF%3abtn_buynow_LG%2egif%3aNonHosted"><img src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" alt="[paypal]" /></a>.
